<div class="page rs-project-km">
<div class="page__body--borderless page__body--borderless-pd">
        [[#>  rsp:adminPageHeader title="Knowledge Maps" icon="rs-icon rs-icon-diagram" action=true]]
            [[#if (hasPermission "forms:ldp:*")]]
                <mp-resource-link-container uri="http://www.researchspace.org/resource/ThinkingFrames" urlqueryparam-previous-page="[[this]]" urlqueryparam-previous-page-title="Project - Knowledge Maps" urlqueryparam-view="knowledge-map">
<button class="btn btn-header-right pull-right">
<i class="fa fa-plus"></i>
<div>[[i18n "create_knowledge" bundle="languages/resource_projectknowledgemaps" locale=this.lang]]</div>
</button>
</mp-resource-link-container>
            [[/if]]
            <div class="clearfix"></div>
        [[/rsp:adminPageHeader]]
        <div class="container-fluid">
<bs-row class="row-center">
<bs-col class="rs-col-xl-8" lg="9" md="10" sm="11" style="margin-top:10px" xs="12">
<semantic-table column-configuration='[
                                        {"variableName":"diagram", "displayName":"Knowledge Map", "cellTemplate":"{{>  view}}"},
                                        {"variableName":"user", "displayName":"Author", "cellTemplate":"{{>  user}}"},
                                        {"variableName":"time", "displayName":"Last Update", "cellTemplate": "{{>  time}}" }
                                        [[#if (hasPermission "api:ldp:container:<http://www.researchspace.org/resource/system/ontodiaDiagramContainer> :delete:any")]]
                                            , {"displayName":"Actions", "cellTemplate":"{{>  actions}}"}
                                        [[/if]]
                                ]' query='
                                    SELECT ?diagram ?label ?user ?time WHERE {
                                            ?diagram a <http://ontodia.org/schema/v1#Diagram>  ;
                                            rdfs:label ?label;
                                            <http://www.w3.org/ns/prov#generatedAtTime>  ?time .

                                        [[#if (hasPermission "forms:ldp:*")]]
                                            ?diagram <http://www.w3.org/ns/prov#wasAttributedTo>  ?user .
                                        [[else]]
                                            ?diagram <http://www.w3.org/ns/prov#wasAttributedTo>  ?user .
                                            FILTER(?user = <http://www.researchspace.org/resource/system/anonymousUser>  ) .
                                        [[/if]]
                                    }
                                '>
<template id="view">
<div style="display: flex; align-items: center;">
<i class="rs-icon rs-icon-drag_points" style="margin-right: 12px;"></i>
<semantic-link class="a-draggable" iri="{{diagram.value}}" urlqueryparam-previous-page="[[this]]" urlqueryparam-previous-page-title="Project - Knowledge Maps">
<div style="display: flex; align-items: center;">
<span>{{label.value}}</span>
</div>
</semantic-link>
</div>
</template>
<template id="user">
<div class="text-truncate">
<i class="fa fa-user" style="margin-right: 12px;"></i>
<semantic-link class="rs-dashboard--a" iri="{{user.value}}"></semantic-link>
</div>
</template>
<template id="time">
<div class="rs-dashboard-tableDate">
<span>[[i18n "last_modified" bundle="languages/resource_projectknowledgemaps" locale=this.lang]]: </span>
<span class="rs-dashboard-tableDateValue">{{dateTimeFormat time.value "LLL"}}</span>
</div>
</template>
<template id="actions">
<mp-ldp-remove-from-container-action data-container="http://www.researchspace.org/resource/system/ontodiaDiagramContainer" iri="{{diagram.value}}">
<div>
<i aria-hidden="true" class="fa fa-trash" style="cursor:pointer;"></i>
</div>
</mp-ldp-remove-from-container-action>
</template>
</semantic-table>
</bs-col>
</bs-row> <!--  close row -->
</div>
</div>
</div>
